Bug 113692 - missing file or config tweak needed?
missing file or config tweak needed?
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-01-16 11:09 EST by bill parducci
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-17 03:53:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description bill parducci 2004-01-16 11:09:12 EST
Description of problem:

was looking the XFree86 log ans came across this:

(WW) `fonts.dir' not found (or not valid) in
        Entry deleted from font path.
        (Run 'mkfontdir' on "/usr/X11R6/lib/X11/fonts/local/").

look like a simple miscue on the base config.

using fedora core 1 with latest up2date (unless another kernel came
out while i was typing this :o). running gnome.

Comment 1 Mike A. Harris 2004-01-16 11:27:35 EST
Log file entries marked with (WW) are not errors, just warnings.

In this case, the warning is harmless, and just drawing one's
attention that a configured font directory does not contain any
fonts.  The "local" font directory is an XFree86 provided directory
which does not contain any provided fonts, but is provided for
user/sysadmin installed 3rd party fonts to be dropped in.

Nothing in the distribution ever installs fonts into this location,
however the font path is included in our default configuration for
quite some time to make it easier on people who have used it in
the past, when they upgrade their OS.

Since this directory is quite old in legacy nowadays, the majority
of desktop software now uses Xft/fontconfig based font access, and
the X11 core fonts are deprecated, perhaps it is time for me to
remove this path from our default configuration, as upgrades
should retain the pre-existing config anyway nowadays.

That should only really affect users who do a fresh OS
installation (rather than an upgrade), and then manually install
fonts into the 'local' directory, and do not manually add the
directory to their fontpath.  That is the same behaviour users
get for any other manually installed fonts outside of rpm context,
so IMHO it would be more consistant to do this, although it might
break a few setups out there.  I think that in this case however,
it makes more sense to make the change and perhaps break a few
small number of setups, than it is for 99% of users to get these
warnings and be concerned about them, especially considering
core fonts are becoming more and more obsolete anyway.

I'll make this change once I incorporate 4.4.0 into our developmental


Comment 2 Mike A. Harris 2004-02-17 03:53:52 EST
The "local" and "cyrillic" directories are no longer in our default
xfs config.  Instead, the cyrillic font package(s) in the distribution
will add the "cyrillic:unscaled" entry to xfs config if it isn't
present upon installation.  Any rpm package which installs fonts
into the "local" directory are expected to do the same, however there
are no packages in the distribution which use that directory.

End users who manually drop files into the "local" directory will
now have to manually hand edit their xfs config or use chkfontpath
by hand to add this dir to the font path.  I believe this is
entirely reasonable behaviour.

This new behaviour will only occur on fresh OS installations however,
but it will not affect systems that are upgraded from older OS
releases, as we do not remove font path elements on upgrades as that
might break a user's working setup.

Closing as "rawhide".

Note You need to log in before you can comment on or make changes to this bug.